FreeMat

- Main Page
- Related Pages

CENUM Lookup Enumerated C Type

Section: FreeMat External Interface

# Usage

The `cenum` function allows you to use the textual strings of C enumerated types (that have been defined using `ctypedefine`) in your FreeMat scripts isntead of the hardcoded numerical values. The general syntax for its use is

      enum_int = cenum(enum_type,enum_string)

which looks up the integer value of the enumerated type based on the string. You can also supply an integer argument, in which case `cenum` will find the matching string

      enum_string = cenum(enum_type,enum_int)